Subject: Re: bug#50798: 28.0.50; Tab line close button is off-center until it is highlighted with the mouse

From: Juri Linkov <[email-masked]>
Date: Mon, 04 Oct 2021 20:41:09 +0300

>> It solves the problem because tab-line-close-highlight doesn't inherit
>> from other faces.  It's face inheritance that caused the problem
>> with vertical movement of the button.
>
> I'd still like to understand why this happens.  It sounds like a bug.
>
> You said you found some coordinates miscalculated, but didn't provide
> any details.  Could you please provide those details, so I could try
> to look at that?  Debugging this is notoriously hard, because the code
> is entered upon almost every mouse movement, so it is important for me
> to know which code I'm investigating to be able to set up the
> breakpoint conditions that avoid triggering at non-interesting
> moments.

I don't understand how coordinates are calculated,
so I'll try to create a minimal test case for debugging.